from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XUIObject(Protocol):
    def getChild(self, id: str) -> XUIObject: ...
    def executeAction(self, action: str, propValues: PropertyValues) -> None: ...
    def getState(self) -> PropertyValues: ...
    def getType(self) -> str: ...
    def getChildren(self) -> list[str]: ...
    def getHierarchy(self) -> str: ...
    def equals(self, other: XUIObject) -> bool: ...
